=== debian/control ===
Source: ros-lunar-rosconsole
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libapr1-dev, libaprutil1-dev, libboost-all-dev, liblog4cxx10-dev, ros-lunar-catkin, ros-lunar-cpp-common, ros-lunar-rostime, ros-lunar-rosunit
Homepage: http://www.ros.org/wiki/rosconsole
Standards-Version: 3.9.2

Package: ros-lunar-rosconsole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapr1-dev, libaprutil1-dev, liblog4cxx10-dev, ros-lunar-cpp-common, ros-lunar-rosbuild, ros-lunar-rostime
Description: ROS console output library.
